From d77224cd4aadaab8363cf4c9dda615a72a506384 Mon Sep 17 00:00:00 2001
From: Sertonix <sertonix@posteo.net>
Date: Fri, 26 Apr 2024 15:16:54 +0200
Subject: [PATCH] updater.sh: fix ignored errors

Closes #1810
---
 updater.sh | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/updater.sh b/updater.sh
index 72c77fc..c0e2494 100755
--- a/updater.sh
+++ b/updater.sh
@@ -317,6 +317,8 @@ update_userjs() {
   fi
 
   [ "$VIEW" = true ] && open_file "${PWD}/user.js"
+
+  return 0
 }
 
 #########################
@@ -388,7 +390,7 @@ if [ $# != 0 ]; then
 fi
 
 show_banner
-update_updater "$@"
+update_updater "$@" || exit $?
 
 getProfilePath # updates PROFILE_PATH or exits on error
 cd "$PROFILE_PATH" || exit 1
@@ -402,6 +404,6 @@ you will need to change ownership of the following files to your user:\n'
 	exit 1
 fi
 
-update_userjs
+update_userjs || exit $?
 
 cd "$CURRDIR"